Summary:	Evolution extension for Exchange MAPI
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange MAPI
Name:		evolution-mapi
Version:	3.34.1
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-mapi/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	f3bfc3ff3cba475c069aec009e680472
URL:		https://wiki.gnome.org/Apps/Evolution
BuildRequires:	cmake >= 3.1
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.46
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libical-devel
BuildRequires:	openchange-devel >= 2.3
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	glib2 >= 1:2.46
Requires:	gtk+3 >= 3.10
Requires:	openchange-libs >= 2.3
Obsoletes:	evolution-mapi-libs
Obsoletes:	evolution-mapi-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
(2007 and later) and OpenChange servers via MAPI.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange (w wersji 2007 lub nowszej) lub OpenChange poprzez
MAPI.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
        -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
        -DENABLE_SCHEMAS_COMPILE=OFF
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%dir %{_libdir}/evolution-mapi
%attr(755,root,root) %{_libdir}/evolution-mapi/libcamelmapi-priv.so
%attr(755,root,root) %{_libdir}/evolution-mapi/libevolution-mapi.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmapi.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendmapi.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelmapi.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmapi.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-mapi-backend.so
%attr(755,root,root) %{_libdir}/evolution/modules/module-mapi-configuration.so
%{_datadir}/evolution-data-server/mapi
%{_datadir}/metainfo/org.gnome.Evolution-mapi.metainfo.xml
%changelog
* Fri Oct 18 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-mapi.git;a=log;h=master

* Thu Oct 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 9074656
- updated to 3.34.1

* Fri May 17 2019 Jakub Bogusz <qboosh@pld-linux.org> e5f7901
- updated to 3.32.2

* Thu Apr 18 2019 Jan Rękorajski <baggins@pld-linux.org> 0d12fb6
- release 3 (by relup.sh)

* Thu Jan 31 2019 Jan Rękorajski <baggins@pld-linux.org> e9d73f2
- release 2 (by relup.sh)

* Wed Jun 20 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 525d288
- Update to 3.28.3

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 7a38d57
- Update to 3.28.0

* Mon Dec 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7e331e7
- Update to 3.26.3

* Sun Oct 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 55641a0
- Update to 3.26.1

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 735ca79
- Update to 3.26.0

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 95ba503
- updated to 3.24.4

* Wed Jun 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 63aa6e8
- Update to 3.24.3

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> c2075a4
- updated to 3.24.2

* Wed Apr 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3c2eafa
- Update to 3.24.1

* Mon Mar 27 2017 Jan Rękorajski <baggins@pld-linux.org> bc80fcc
- release 3 (by relup.sh)

* Sun Mar 26 2017 Jan Rękorajski <baggins@pld-linux.org> 0b42744
- release 2 (by relup.sh)

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> bc4dace
- Update to 3.24.0

* Tue Mar 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 480f2c8
- updated to 3.22.6

* Wed Jan 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 4b7951d
- Update to 3.22.4

* Mon Dec 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 69de599
- Update to 3.22.3

* Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 615a678
- up to 3.22.0

